com.mockobjects.dynamic

## Class FullConstraintMatcher

- java.lang.Object
- - com.mockobjects.dynamic.FullConstraintMatcher

- All Implemented Interfaces:
    ConstraintMatcher

      public class FullConstraintMatcher
      extends java.lang.Object
      implements ConstraintMatcher

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullConstraintMatcher(Constraint c1)`
    `FullConstraintMatcher(Constraint[] constraints)`
    `FullConstraintMatcher(Constraint c1, Constraint c2)`
    `FullConstraintMatcher(Constraint c1, Constraint c2, Constraint c3)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getConstraints()`
    `boolean` | `matches(java.lang.Object[] args)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FullConstraintMatcher

          public FullConstraintMatcher(Constraint[] constraints)

    - #### FullConstraintMatcher

          public FullConstraintMatcher(Constraint c1)

    - #### FullConstraintMatcher

          public FullConstraintMatcher(Constraint c1,
                                       Constraint c2)

    - #### FullConstraintMatcher

          public FullConstraintMatcher(Constraint c1,
                                       Constraint c2,
                                       Constraint c3)

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.Object[] args)

      Specified by:
        `matches` in interface `ConstraintMatcher`

    - #### getConstraints

          public java.lang.Object[] getConstraints()

      Specified by:
        `getConstraints` in interface `ConstraintMatcher`

Copyright © 2002 Mock Objects. All Rights Reserved.